<html>
<head>
<title>OGRE: Ogre::ImageCodec::ImageData Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ImageCodec.html">ImageCodec</a>::<a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html">ImageData</a></div>
<h1>Ogre::ImageCodec::ImageData Class Reference</h1><!-- doxytag: class="Ogre::ImageCodec::ImageData" --><!-- doxytag: inherits="Ogre::Codec::CodecData" --><a class="el" href="classOgre_1_1Codec.html" title="Abstract class that defines a &#39;codec&#39;.">Codec</a> return class for images.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ImageCodec::ImageData:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ImageCodec_1_1ImageData-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#e79def312c157ada9d4aedcd38c911bf">ImageData</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#fc7b6885d56ad2e733613c50eff80780">dataType</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the type of the data.  <a href="#fc7b6885d56ad2e733613c50eff80780"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#12133a0b5939c2a4f9102e7235296e8f">height</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#9ea7e66c38ec91572f428c395f57c586">width</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#26cb0c0451c0842eb191a08fb9cb1942">depth</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#df09c2a3243681cfb4f38f8c6074d111">size</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#ed8c64899c5b99b802b641a0c1c8f3e8">num_mipmaps</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#17daec36bcb3a0a3084576fe4f913551">flags</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#f59eaab36e6dc3c20124af20655f6338">format</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<a class="el" href="classOgre_1_1Codec.html" title="Abstract class that defines a &#39;codec&#39;.">Codec</a> return class for images. 
<p>
Has imformation about the size and the pixel format of the image. 
<p>Definition at line <a class="el" href="OgreImageCodec_8h-source.html#l00048">48</a> of file <a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e79def312c157ada9d4aedcd38c911bf"></a><!-- doxytag: member="Ogre::ImageCodec::ImageData::ImageData" ref="e79def312c157ada9d4aedcd38c911bf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ImageCodec::ImageData::ImageData           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImageCodec_8h-source.html#l00051">51</a> of file <a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="fc7b6885d56ad2e733613c50eff80780"></a><!-- doxytag: member="Ogre::ImageCodec::ImageData::dataType" ref="fc7b6885d56ad2e733613c50eff80780" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::ImageCodec::ImageData::dataType           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the type of the data. 
<p>

<p>Reimplemented from <a class="el" href="classOgre_1_1Codec_1_1CodecData.html#b2681263d0b7dafe3ff0afba729eeef4">Ogre::Codec::CodecData</a>.</p>

<p>Definition at line <a class="el" href="OgreImageCodec_8h-source.html#l00067">67</a> of file <a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="12133a0b5939c2a4f9102e7235296e8f"></a><!-- doxytag: member="Ogre::ImageCodec::ImageData::height" ref="12133a0b5939c2a4f9102e7235296e8f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#12133a0b5939c2a4f9102e7235296e8f">Ogre::ImageCodec::ImageData::height</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImageCodec_8h-source.html#l00056">56</a> of file <a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9ea7e66c38ec91572f428c395f57c586"></a><!-- doxytag: member="Ogre::ImageCodec::ImageData::width" ref="9ea7e66c38ec91572f428c395f57c586" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#9ea7e66c38ec91572f428c395f57c586">Ogre::ImageCodec::ImageData::width</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImageCodec_8h-source.html#l00057">57</a> of file <a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="26cb0c0451c0842eb191a08fb9cb1942"></a><!-- doxytag: member="Ogre::ImageCodec::ImageData::depth" ref="26cb0c0451c0842eb191a08fb9cb1942" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#26cb0c0451c0842eb191a08fb9cb1942">Ogre::ImageCodec::ImageData::depth</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImageCodec_8h-source.html#l00058">58</a> of file <a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="df09c2a3243681cfb4f38f8c6074d111"></a><!-- doxytag: member="Ogre::ImageCodec::ImageData::size" ref="df09c2a3243681cfb4f38f8c6074d111" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#df09c2a3243681cfb4f38f8c6074d111">Ogre::ImageCodec::ImageData::size</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImageCodec_8h-source.html#l00059">59</a> of file <a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ed8c64899c5b99b802b641a0c1c8f3e8"></a><!-- doxytag: member="Ogre::ImageCodec::ImageData::num_mipmaps" ref="ed8c64899c5b99b802b641a0c1c8f3e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#ed8c64899c5b99b802b641a0c1c8f3e8">Ogre::ImageCodec::ImageData::num_mipmaps</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImageCodec_8h-source.html#l00061">61</a> of file <a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="17daec36bcb3a0a3084576fe4f913551"></a><!-- doxytag: member="Ogre::ImageCodec::ImageData::flags" ref="17daec36bcb3a0a3084576fe4f913551" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#17daec36bcb3a0a3084576fe4f913551">Ogre::ImageCodec::ImageData::flags</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImageCodec_8h-source.html#l00062">62</a> of file <a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f59eaab36e6dc3c20124af20655f6338"></a><!-- doxytag: member="Ogre::ImageCodec::ImageData::format" ref="f59eaab36e6dc3c20124af20655f6338" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#f59eaab36e6dc3c20124af20655f6338">Ogre::ImageCodec::ImageData::format</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreImageCodec_8h-source.html#l00064">64</a> of file <a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreImageCodec_8h-source.html">OgreImageCodec.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:04 2008
</p>
</body>
</html>
